<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" %>
<% try { // START: DEBUG %>
<%@ page errorPage="/errorPage.jsp" %>

<%@ page import="com.sas.apps.citation.view.beans.PagePropertyBean" %>
<%@ page import="com.sas.apps.citation.view.tbeans.html.CitationButton" %>
<%@ page import="com.sas.apps.citation.view.util.PageErrorProcessor" %>
<%@ page import="com.sas.apps.citation.util.PropertyHelper" %> 
     
    <% 
       boolean isSuppressErrorDetails = PropertyHelper.getPropertyAsBool("wrs.suppressErrorDetails", false);        // (brcarb) 
       String directionsMsg = (isSuppressErrorDetails) ? PagePropertyBean.getLabel(pageContext, 
          "request.error.directions.suppress.details.txt") : PagePropertyBean.getLabel(pageContext, "request.error.directions.txt"); 
    %> 


<table border="0" cellspacing="0" cellpadding="0" width="100%" summary="" >
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr>
        <td align="center">
            <table border="0" cellspacing="0" cellpadding="0" summary="" >
                <tr>
                    <td class="errorMessages">
                        <%=PagePropertyBean.getLabel(pageContext, "request.error.txt")%>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr>
        <td align="center" class="label">
            <%=directionsMsg%>
        </td>
    </tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr>
        <td align="center">
            <table border="0" cellspacing="0" cellpadding="0" summary="" >
                <tr>
                    <td>
<%
if (! isSuppressErrorDetails)   // (brcarb)
{
  CitationButton detailsButton = CitationButton.createStandaloneButton(request, "detailsButton",
    PagePropertyBean.getLabel(pageContext,"request.error.details.txt"),
    "javascript:openGenericDialog('RequestError','errorDetails.do');");
detailsButton.write(out);
}
%>
                    </td>
                    <td class="buttonSpacer">&nbsp;</td>
                    <td class="buttonSpacer">&nbsp;</td>
                    <td>
<%
CitationButton closeButton = CitationButton.createStandaloneButton(request, "closeButton",
    PagePropertyBean.getLabel(pageContext,"request.error.close.txt"),
    "javascript:closeErrorsWindow();");
closeButton.setFocus(true);
closeButton.write(out);
%>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<script type="text/javascript"> /*<![CDATA[*/
<% if (PageErrorProcessor.getReportErrorSummary(session) == null
       && PageErrorProcessor.getReportErrorDetail(session) == null) { %>
    closeErrorsWindow();
<% } %>
/*]]>*/ </script>
<% } catch (Exception ex) {
    PageErrorProcessor.setJspError(ex, pageContext, out);
} // END: DEBUG %>
